be.ehealth.businessconnector.vsbnetinsurability.session.impl

## Class VSBNetnsurabilitySessionServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.vsbnetinsurability.session.impl.VSBNetnsurabilitySessionServiceImpl

- All Implemented Interfaces:
    VSBNetInsurabilitySessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class VSBNetnsurabilitySessionServiceImpl
      extends Object
      implements VSBNetInsurabilitySessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

  Implementation of `VSBNetInsurabilitySessionService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VSBNetnsurabilitySessionServiceImpl()` constructor only to be used for bootstrap purposes.
    `VSBNetnsurabilitySessionServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `GetInsurabilityResponse` | `getInsurability(GetInsurabilityRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VSBNetnsurabilitySessionServiceImpl

          public VSBNetnsurabilitySessionServiceImpl(SessionValidator sessionValidator,
                                                     EhealthReplyValidator replyValidator)
                                              throws TechnicalConnectorException

      Parameters:
        `sessionValidator` -
        `replyValidator` - not used for this service. the business answer does not contain an business error , but will throw SoapException.
      Throws:
        `TechnicalConnectorException`

    - #### VSBNetnsurabilitySessionServiceImpl

          public VSBNetnsurabilitySessionServiceImpl()

      constructor only to be used for bootstrap purposes.

  - ### Method Detail

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

    - #### getInsurability

          public GetInsurabilityResponse getInsurability(GetInsurabilityRequest request)
                                                  throws TechnicalConnectorException

      Specified by:
        `getInsurability` in interface `VSBNetInsurabilitySessionService`
      Parameters:
        `request` - `GetInsurabilityRequest`
      Returns:
        `GetInsurabilityResponse`
      Throws:
        `TechnicalConnectorException`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.